mqtt:
  enabled: false
cameras:
  Camera01:
    ffmpeg:
      inputs:
        - path: rtsp://user:pass@cam01.domain.local/H264/ch1/main/av_stream
          roles:
            - record
        - path: rtsp://user:pass@cam01.domain.local/H264/ch1/sub/av_stream
          roles:
            - detect
      output_args:
        record: preset-record-generic-audio-aac
    objects:
      track:
        - person
    detect:
      enabled: false
      width: 2160
      height: 3840
    record:
      enabled: true
      retain:
        days: 30
        mode: all
    motion:
      mask: 0.83,0,0.816,0.336,0.997,0.351,1,1,0,1,0,0
  Camera02:
    ffmpeg:
      inputs:
        - path: rtsp://user:pass@cam02.domain.local/H264/ch1/main/av_stream
          roles:
            - record
        - path: rtsp://user:pass@cam02.domain.local/H264/ch1/sub/av_stream
          roles:
            - detect
      output_args:
        record: preset-record-generic-audio-aac
    objects:
      track:
        - person
    detect:
      enabled: false
      width: 3840
      height: 2160
    record:
      enabled: true
      retain:
        days: 30
        mode: all
    motion:
      mask:
        - 0,0,0,0.812,0.237,0.652,0.204,0
        - 0.363,0.322,0.371,0.511,0.502,0.42,0.504,0.226
        - 0.11,0.997,0.432,0.658,1,0.441,1,1
      threshold: 30
      contour_area: 20
      improve_contrast: true
  Camera03:
    ffmpeg:
      inputs:
        - path: rtsp://user:pass@cam03.domain.local/H264/ch1/main/av_stream
          roles:
            - record
        - path: rtsp://user:pass@cam03.domain.local/H264/ch1/sub/av_stream
          roles:
            - detect
      output_args:
        record: preset-record-generic-audio-aac
    objects:
      track:
        - person
    detect:
      enabled: false
      width: 3840
      height: 2160
    record:
      enabled: true
      retain:
        days: 30
        mode: all
    motion:
      mask: 0.201,0.63,0.231,0.831,0.386,0.802,0.368,0.588
      threshold: 50
      contour_area: 30
      improve_contrast: true
    zones: {}
  Camera04:
    enabled: true
    ffmpeg:
      inputs:
        - path: rtsp://user:pass@cam04.domain.local/H264/ch1/main/av_stream
          roles:
            - record
        - path: rtsp://user:pass@cam04.domain.local/H264/ch1/sub/av_stream
          roles:
            - detect
      output_args:
        record: preset-record-generic-audio-aac
    objects:
      track:
        - person
    detect:
      enabled: false
      width: 3840
      height: 2160
    record:
      enabled: true
      retain:
        days: 30
        mode: all
  Camera05:
    ffmpeg:
      inputs:
        - path: rtsp://user:pass@cam05.domain.local/H264/ch1/main/av_stream
          roles:
            - record
        - path: rtsp://user:pass@cam05.domain.local/H264/ch1/sub/av_stream
          roles:
            - detect
      output_args:
        record: preset-record-generic-audio-aac
    objects:
      track:
        - person
    detect:
      enabled: false
      width: 3840
      height: 2160
    record:
      enabled: true
      retain:
        days: 30
        mode: all
    motion:
      mask:
        - 0,1,0.043,1,0.08,0.204,0.373,0.089,0.812,0.058,0.998,0.221,1,0,0,0
        - 1,0.901,0.479,0.205,0.807,0.204,1,0.412
      threshold: 30
      contour_area: 20
      improve_contrast: true
  Camera06:
    ffmpeg:
      inputs:
        - path: rtsp://user:pass@cam06.domain.local/H264/ch1/main/av_stream
          roles:
            - record
        - path: rtsp://user:pass@cam06.domain.local/H264/ch1/sub/av_stream
          roles:
            - detect
      output_args:
        record: preset-record-generic-audio-aac
    objects:
      track:
        - person
    detect:
      enabled: false
      width: 2160
      height: 3840
    record:
      enabled: true
      retain:
        days: 30
        mode: all

    motion:
      mask:
        - 1,0,0,0,0,0.08,1,0.082
        - 1,0.208,0.737,0.178,0.438,0.187,1,0.66
      threshold: 40
      contour_area: 30
      improve_contrast: true
detectors:
  cpu1:
    type: cpu
    num_threads: 4
version: 0.15-1

